---
title: "About"
date: 2021-08-23T05:58:05+01:00
octo: octo-1.webp
---

I am a graduate of the University of Oxford (BA English Literature; MSc Nature, Society and Environmental Policy) and the New School for Social Research (MA Politics). I earned my PhD in human geography in 2016, at the University of Manchester.

From 2014 on, I published a number of academic publications in peer-reviewed journals such as Feminist Review, Signs: Journal of Women in Culture and Society, Frontiers: Journal of Women’s Studies, Gender Place & Culture, Antipode, Feminism & Psychology, Science as Culture, Society & Space, Dialogues in Human Geography and Feminist Theory. If you like, you can check out my profiles at various academic listing hubs:

Google scholar profile.
Humanities Commons page

I have increasingly (with the support of my patrons on Patreon) moved over to free-lance non-academic writing, leaving academia behind. You may know me as the person who wrote about the eroticism in “My Octopus Teacher.” You may have come across my articles about ‘family abolition’ and the limits of the private nuclear household in the context of Covid. I have appeared on many podcasts and radio shows, lectured all over the world, and collaborated with a number of artists inspired by my essay “Amniotechnics”.

My translation of Sabine Hark and Paula-Irene Villa’s account of feminist Islamophobia in Germany, The Future of Difference, is published by Verso Books (June 2020). My German-English translations for MIT Press include A Brief History of Feminism (Antje Schrupp) and Communism for Kids (Bini Adamczak).

I am a member of the ecological writing collective Out of the Woods and editor at Blind Field: A Journal of Cultural Inquiry.

<!--
---

{{< cv-entry dates="2012-2017" title="Quisque sollicitudin nisi nec dictum ultricesmet imperdiet." >}}
{{< cv-entry dates="2012-2017" title="Quisque sollicitudin nisi nec dictum ultricesmet imperdiet." >}}
{{< cv-entry dates="2012-2017" title="Quisque sollicitudin nisi nec dictum ultricesmet imperdiet." >}}
-->
